package hu.uniobuda.nik;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

/**
 * 
 * LogCat-ben szrt rdemes felvenni "NIK" cimkvel.
 * Akkor az albbi kddal lthatjuk, hogy hogyan mkdik az letciklus.
 * 
 */

public class MainActivity extends Activity {
    
	// Szoks egy string-et ltrehozni, ami a cimke neve lesz a LogCat-ben.
	// Ez azrt hasznos, mert ha ksbb trnnk csak egy helyen kell.
	private final String TAG = "NIK";
		
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Log.d(TAG, "Ez trtnik: onCreate");        
    }

	@Override
	protected void onDestroy() {
		super.onDestroy();
		
		Log.d(TAG, "Ez trtnik: onDestroy");
	}

	@Override
	protected void onPause() {
		super.onPause();
		
		Log.d(TAG, "Ez trtnik: onPause");
	}

	@Override
	protected void onRestart() {		
		super.onRestart();
		
		Log.d(TAG, "Ez trtnik: onRestart");
	}

	@Override
	protected void onResume() {		
		super.onResume();
		
		Log.d(TAG, "Ez trtnik: onResume");
	}

	@Override
	protected void onStart() {	
		super.onStart();
		
		Log.d(TAG, "Ez trtnik: onStart");
	}

	@Override
	protected void onStop() {		
		super.onStop();
		
		Log.d(TAG, "Ez trtnik: onStop");
	}
    
}